body.no_scroll {
    overflow: hidden;
}

.pop_profile {
    z-index: 99999;
    opacity: 0;
    visibility: hidden;
    min-height: 440px;
    border-radius: 10px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 680px;
    box-shadow: 0 5px 15px rgba(153, 153, 153, 0.3);
    background: #36373b;
    transition: 0.4s ease-in-out;
    color: #fff;
}

.pop_profile.on {
    opacity: 1;
    visibility: visible;
    top: 50%;
}

.pop_profile .tit {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-inline: 18px;
    padding-block: 10px;
}

.pop_profile .tit input {
    border: none;
    width: calc(100% - 40px);
    background-color: transparent;
    color: #fff;
    font-size: 15px;
    height: 32px;
    line-height: 1;
    padding-left: 0;
}

.pop_profile .tit input::placeholder {
    color: #efefef;
    font-weight: 200;
    font-size: 14px;
}

.pop_profile .tit input:focus {
    outline: none;
}

.pop_profile .tit button {
    width: 24px;
    height: 24px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.pop_profile .tit button img {
    filter: contrast(1) brightness(7);
}

.pop_profile hr {
    background-color: #ffffff0d;
    display: block;
    margin: 0;
    margin-bottom: 12px;
    border-color: #ffffff0d;
}

.pop_profile .sch_cont_wrap {
    padding: 0px 8px 14px;
    height: 361px;
}

.pop_profile .ovf_y_scroll {
    height: 100%;
}

.pop_profile ol {
    height: 100%;
    overflow-y: auto;
}

.pop_profile ol::-webkit-scrollbar {
    width: 5px;
}

.pop_profile ol::-webkit-scrollbar-thumb {
    background: #a1a1a1d4;
    border-radius: 15px;
}

.pop_profile ol::-webkit-scrollbar-track {
    background: #ecececcf;
    border-radius: 15px;
}


.pop_profile ol li:hover .group {
    background-color: rgba(255, 255, 255, 0.2);
    transition: .3s;
    border-radius: 8px;
}

.pop_profile .group {
    padding: 13px 10px;
    align-items: center;
    gap: 12px;
    transition: .3s;
    font-size: 14px;
    letter-spacing: 0.3px;
    width: calc(100% - 26px);
}

.pop_profile ol li.day p {
    font-size: 11px;
    letter-spacing: 0.1px;
    padding: 12px 10px 4px;
}

.pop_profile .group .icon {
    width: 16px;
    height: 16px;
    border-radius: 2px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.pop_profile li:first-child .group .icon {
    width: 18px;
    height: 18px;
}

.pop_profile .group .icon img {
    width: 100%;
    height: 100%;
}

.pop_profile .group .ctx {
    gap: 4px;
    width: calc(100% - 20px);
}

.pop_profile .group p {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.pop_profile .group .ctx sub {
    font-size: 12px;
    position: static;
    line-height: 1;
    width: 100%;
}

.pop_profile .group.plus_pd {
    padding: 12px 10px;
    color: #fff;
    align-items: center;
}

.pop_profile .group.no_sch {
    gap: 8px;
}

.pop_profile .group.no_sch .icon {
    width: 14px !important;
    height: 14px !important;
}

.pop_profile .group.no_sch .icon img {
    filter: contrast(0) brightness(7);
}

.btn_close {
    padding: 12px 20px 12px 0;
    text-align: right;
    background: #edf0f4;
}

.btn_close a {
    position: relative;
    display: inline-block;
    letter-spacing: 0;
    padding: 0 0 0 30px;
    font-size: 18px;
    font-weight: 800;
    color: #333;
    text-transform: uppercase;
}

.btn_close a:before,
.btn_close a span:before,
.btn_close a span:after {
    content: '';
    position: absolute;
    top: 7px;
    left: 7px;
    width: 15px;
    height: 2px;
    transform: rotate(45deg);
    transform-origin: 0 100%;
    background: #333;
}

.btn_close a:before {
    top: 1px;
    left: 0;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #fff;
    transform: none;
    box-shadow: 3px 0 5px rgba(153, 153, 153, 0.3);
}

.btn_close a span:after {
    margin: 0 0 0 -3px;
    transform: rotate(-45deg);
    transform-origin: 100% 100%;
}

.pop_profile ol.sch_ani {
    height: 40px;
}

.sch_ani>li {
    gap: 8px;
    align-items: center;
}

.sch_ani .gra_ctx {
    width: calc(100% - 24px);
    gap: 8px;
}

.gra_icon {
    width: 14px;
    height: 14px;
    border-radius: 100%;
    display: block;
    background: radial-gradient(circle, #999 0%, #888 70%);
    animation: pulse 2.2s infinite ease-in-out;
}

.gra_sm,
.gra_lg {
    height: 7px;
    border-radius: 3rem;
    background: linear-gradient(90deg,
            #cfcfcf3d 0%,
            #ffffff80 50%,
            #cfcfcf3d 100%);
    background-size: 200% 100%;
    animation: shimmer 5s infinite linear;
}

.gra_sm {
    width: 40%;
}

.gra_lg {
    width: 70%;
}

@media all and (max-width:1024px) {
    .pop_profile {
        left: calc(50% + 43px);
    }
}

@media all and (max-width:800px) {
    .pop_profile {
        width: 100%;
        left: 50%;
        height: 100%;
        border-radius: 0;
    }

    .pop_profile .tit {
        padding-block: 16px 10px;
    }

    .pop_profile .sch_cont_wrap {
        height: calc(100% - 85px);
    }

    .pop_profile .group {
        width: calc(100% - 24px);
    }

    .gra_icon {
        width: 16px;
        height: 16px;
    }

    .gra_sm,
    .gra_lg {
        height: 9px;
    }

    .gra_sm {
        width: 55%;
    }

    .gra_lg {
        width: 88%;
    }
}

@media screen and (orientation: landscape) and (max-height: 768px) {

    /* 가로 모드일 때 적용할 CSS */
    /* .pop_profile.on {
        top: calc(50% + 16dvh);
    } */
    .pop_profile {
        width: 100%;
        left: 50%;
        height: 100%;
        border-radius: 0;
        top: 0;
        left: 0;
        transform: none;
    }

    .pop_profile.on {
        top: 0;
    }

    .pop_profile .tit {
        padding-block: 16px 10px;
    }

    .pop_profile .sch_cont_wrap {
        height: 65dvh;
        overflow: scroll;
    }

    .pop_profile .group {
        width: calc(100% - 24px);
    }
}


/* + 검색 중 gradient animaiton */

@keyframes pulse {
    0% {
        opacity: 0.4;
        transform: scale(0.9);
    }

    50% {
        opacity: 1;
        transform: scale(1);
    }

    100% {
        opacity: 0.4;
        transform: scale(0.9);
    }
}


@keyframes shimmer {
    0% {
        background-position: 200% 0;
    }

    100% {
        background-position: -200% 0;
    }
}

/* + 검색 중 gradient animaiton end */